summaryrefslogtreecommitdiff
path: root/openstack/usr/share/openstack/openvswitch-setup
diff options
context:
space:
mode:
Diffstat (limited to 'openstack/usr/share/openstack/openvswitch-setup')
-rw-r--r--openstack/usr/share/openstack/openvswitch-setup44
1 files changed, 44 insertions, 0 deletions
diff --git a/openstack/usr/share/openstack/openvswitch-setup b/openstack/usr/share/openstack/openvswitch-setup
new file mode 100644
index 00000000..a5db7d21
--- /dev/null
+++ b/openstack/usr/share/openstack/openvswitch-setup
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+# Copyright (C) 2014 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+if [ -f /var/openstack/openvswitch-setup ]; then
+ exit 0
+fi
+
+# Create the openvswitch required folders
+mkdir -p /usr/local/etc/openvswitch
+mkdir -p /usr/local/var/run/openvswitch
+
+# Define openvswitch files
+# Example (default values)
+#openvswitch_database=/usr/local/etc/openvswitch/conf.db
+#openvswitch_pidfile=/usr/local/var/run/openvswitch/ovsdb-server.pid
+#openvswitch_logfile=/usr/local/var/run/openvswitch/ovsdb-server.log
+openvswitch_database=/usr/local/etc/openvswitch/conf.db
+openvswitch_pidfile=/usr/local/var/run/openvswitch/ovsdb-server.pid
+openvswitch_logfile=/usr/local/var/run/openvswitch/ovsdb-server.log
+
+# Create openvswitch database
+ovsdb-tool create $openvswitch_database /usr/share/openvswitch/vswitch.ovsschema
+
+install -D -m 644 /proc/self/fd/0 <<'EOF' /var/openstack/openvswitch-setup
+Openvswitch setup: success
+EOF
+
+exit 0